<?xml version="1.0" encoding="UTF-8"?>

<!--XBRL Document Created with the Workiva Platform-->
<!--Copyright 2023 Workiva-->
<!--r:0429565b-6d09-4a96-bbea-eb7e3c721e62,g:ecc7fa53-76cf-4f67-95d8-5a826a413c82-->
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
  <link:roleRef roleURI="http://bt.com/role/StatementofcomprehensiveincomeprofitorlossbyfunctionofexpenseStatement" xlink:type="simple" xlink:href="549300OWFMSO9NYV4H90-2023-03-31.xsd#StatementofcomprehensiveincomeprofitorlossbyfunctionofexpenseStatement"/>
  <link:calculationLink xlink:role="http://bt.com/role/StatementofcomprehensiveincomeprofitorlossbyfunctionofexpenseStatement" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLoss_b8dc16e5-1808-4d62-82b8-59a2cedbfb92" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLoss"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLossBeforeTax_ae0a0504-1569-4463-a615-f13bc777b52b" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossBeforeTax"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLoss_b8dc16e5-1808-4d62-82b8-59a2cedbfb92" xlink:to="loc_ifrs-full_ProfitLossBeforeTax_ae0a0504-1569-4463-a615-f13bc777b52b" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_IncomeTaxExpenseContinuingOperations_b7a33bf1-e100-493f-b609-6807e6bae799" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncomeTaxExpenseContinuingOperations"/>
    <link:calculationArc order="2" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLoss_b8dc16e5-1808-4d62-82b8-59a2cedbfb92" xlink:to="loc_ifrs-full_IncomeTaxExpenseContinuingOperations_b7a33bf1-e100-493f-b609-6807e6bae799" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLossFromOperatingActivities_0cf4977c-2a61-4472-8f11-910e06e3e872" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossFromOperatingActivities"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_Revenue_b4cc4898-f1a5-4d4f-ac1d-d1c4443b7f52" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Revenue"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossFromOperatingActivities_0cf4977c-2a61-4472-8f11-910e06e3e872" xlink:to="loc_ifrs-full_Revenue_b4cc4898-f1a5-4d4f-ac1d-d1c4443b7f52" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OperatingExpense_88a22d25-e517-4e17-b3ee-fe4d0383672a" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OperatingExpense"/>
    <link:calculationArc order="2" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossFromOperatingActivities_0cf4977c-2a61-4472-8f11-910e06e3e872" xlink:to="loc_ifrs-full_OperatingExpense_88a22d25-e517-4e17-b3ee-fe4d0383672a" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLossBeforeTax_acc5b521-8c12-4035-ad25-026543e67f8c" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossBeforeTax"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_FinanceIncomeCost_ad4f1f9d-7c31-451b-ad72-5033f23a75f3" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_FinanceIncomeCost"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossBeforeTax_acc5b521-8c12-4035-ad25-026543e67f8c" xlink:to="loc_ifrs-full_FinanceIncomeCost_ad4f1f9d-7c31-451b-ad72-5033f23a75f3" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLossFromOperatingActivities_5d1fb5b5-56d9-40d7-9cfa-ce32ae8f5e41" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossFromOperatingActivities"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossBeforeTax_acc5b521-8c12-4035-ad25-026543e67f8c" xlink:to="loc_ifrs-full_ProfitLossFromOperatingActivities_5d1fb5b5-56d9-40d7-9cfa-ce32ae8f5e41" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ShareOfProfitLossOfAssociatesAndJointVenturesAccountedForUsingEquityMethod_7e2f6882-052f-4c0b-8438-195c8fd6ce68" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ShareOfProfitLossOfAssociatesAndJointVenturesAccountedForUsingEquityMethod"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossBeforeTax_acc5b521-8c12-4035-ad25-026543e67f8c" xlink:to="loc_ifrs-full_ShareOfProfitLossOfAssociatesAndJointVenturesAccountedForUsingEquityMethod_7e2f6882-052f-4c0b-8438-195c8fd6ce68" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_FinanceIncomeCost_2199f130-11f6-420d-b29f-a3224f4926ac" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_FinanceIncomeCost"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_FinanceCosts_0d22d0cc-7c8a-44e3-bc9d-5d0d0a5b397e" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_FinanceCosts"/>
    <link:calculationArc order="1" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_FinanceIncomeCost_2199f130-11f6-420d-b29f-a3224f4926ac" xlink:to="loc_ifrs-full_FinanceCosts_0d22d0cc-7c8a-44e3-bc9d-5d0d0a5b397e" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_FinanceIncome_09033466-2fc2-43b2-bd5d-15f548ebc621" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_FinanceIncome"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_FinanceIncomeCost_2199f130-11f6-420d-b29f-a3224f4926ac" xlink:to="loc_ifrs-full_FinanceIncome_09033466-2fc2-43b2-bd5d-15f548ebc621" xlink:type="arc"/>
  </link:calculationLink>
  <link:roleRef roleURI="http://bt.com/role/StatementofcomprehensiveincomeOCIcomponentspresentednetoftaxStatement" xlink:type="simple" xlink:href="549300OWFMSO9NYV4H90-2023-03-31.xsd#StatementofcomprehensiveincomeOCIcomponentspresentednetoftaxStatement"/>
  <link:calculationLink xlink:role="http://bt.com/role/StatementofcomprehensiveincomeOCIcomponentspresentednetoftaxStatement" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherComprehensiveIncome_18229b5a-b5c7-493c-ac11-7e71818eca56" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncome"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLoss_0c34d653-17be-405e-8937-1a19ac0c3420" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLoss"/>
    <link:calculationArc order="1" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncome_18229b5a-b5c7-493c-ac11-7e71818eca56" xlink:to="loc_ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLoss_0c34d653-17be-405e-8937-1a19ac0c3420" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherComprehensiveIncomeBeforeTaxFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome_636679fe-16e7-40ac-b449-ba98287de310" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncomeBeforeTaxFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncome_18229b5a-b5c7-493c-ac11-7e71818eca56" xlink:to="loc_ifrs-full_OtherComprehensiveIncomeBeforeTaxFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome_636679fe-16e7-40ac-b449-ba98287de310" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherComprehensiveIncomeBeforeTaxExchangeDifferencesOnTranslation_c83f65b5-aba3-46c0-a8c3-e1a3f6bef6e6" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncomeBeforeTaxExchangeDifferencesOnTranslation"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncome_18229b5a-b5c7-493c-ac11-7e71818eca56" xlink:to="loc_ifrs-full_OtherComprehensiveIncomeBeforeTaxExchangeDifferencesOnTranslation_c83f65b5-aba3-46c0-a8c3-e1a3f6bef6e6" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ReclassificationAdjustmentsOnCashFlowHedgesBeforeTax_ea343d95-f444-4435-9fd9-80d6bea8235e" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ReclassificationAdjustmentsOnCashFlowHedgesBeforeTax"/>
    <link:calculationArc order="4" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncome_18229b5a-b5c7-493c-ac11-7e71818eca56" xlink:to="loc_ifrs-full_ReclassificationAdjustmentsOnCashFlowHedgesBeforeTax_ea343d95-f444-4435-9fd9-80d6bea8235e" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_GainsLossesOnCashFlowHedgesBeforeTax_89822724-901c-48b8-ac36-4df802bd7e37" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_GainsLossesOnCashFlowHedgesBeforeTax"/>
    <link:calculationArc order="5" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncome_18229b5a-b5c7-493c-ac11-7e71818eca56" xlink:to="loc_ifrs-full_GainsLossesOnCashFlowHedgesBeforeTax_89822724-901c-48b8-ac36-4df802bd7e37" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherComprehensiveIncomeBeforeTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans_247c76ff-ed5b-4074-b36c-fd2efffa9639" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncomeBeforeTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans"/>
    <link:calculationArc order="6" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncome_18229b5a-b5c7-493c-ac11-7e71818eca56" xlink:to="loc_ifrs-full_OtherComprehensiveIncomeBeforeTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans_247c76ff-ed5b-4074-b36c-fd2efffa9639" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_IncomeTaxRelatingToRemeasurementsOfDefinedBenefitPlansOfOtherComprehensiveIncome_9c664e89-fd48-41d3-b100-564f1dccca72" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncomeTaxRelatingToRemeasurementsOfDefinedBenefitPlansOfOtherComprehensiveIncome"/>
    <link:calculationArc order="7" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncome_18229b5a-b5c7-493c-ac11-7e71818eca56" xlink:to="loc_ifrs-full_IncomeTaxRelatingToRemeasurementsOfDefinedBenefitPlansOfOtherComprehensiveIncome_9c664e89-fd48-41d3-b100-564f1dccca72" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ShareOfOtherComprehensiveIncomeOfAssociatesAndJointVenturesAccountedForUsingEquityMethodThatWillBeReclassifiedToProfitOrLossNetOfTax_b1a35bc2-0fbf-4985-9acb-44b8ff982cc8" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ShareOfOtherComprehensiveIncomeOfAssociatesAndJointVenturesAccountedForUsingEquityMethodThatWillBeReclassifiedToProfitOrLossNetOfTax"/>
    <link:calculationArc order="8" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncome_18229b5a-b5c7-493c-ac11-7e71818eca56" xlink:to="loc_ifrs-full_ShareOfOtherComprehensiveIncomeOfAssociatesAndJointVenturesAccountedForUsingEquityMethodThatWillBeReclassifiedToProfitOrLossNetOfTax_b1a35bc2-0fbf-4985-9acb-44b8ff982cc8" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ComprehensiveIncome_cf63b87a-5c20-4200-b596-d131524b2f0e" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ComprehensiveIncome"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLoss_c09e3374-20de-49ec-8500-f06714fa0a29" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLoss"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ComprehensiveIncome_cf63b87a-5c20-4200-b596-d131524b2f0e" xlink:to="loc_ifrs-full_ProfitLoss_c09e3374-20de-49ec-8500-f06714fa0a29" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherComprehensiveIncome_7f69ec1a-7281-4569-87f0-4537cf42f68b" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncome"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ComprehensiveIncome_cf63b87a-5c20-4200-b596-d131524b2f0e" xlink:to="loc_ifrs-full_OtherComprehensiveIncome_7f69ec1a-7281-4569-87f0-4537cf42f68b" xlink:type="arc"/>
  </link:calculationLink>
  <link:roleRef roleURI="http://bt.com/role/StatementoffinancialpositioncurrentnoncurrentStatement" xlink:type="simple" xlink:href="549300OWFMSO9NYV4H90-2023-03-31.xsd#StatementoffinancialpositioncurrentnoncurrentStatement"/>
  <link:calculationLink xlink:role="http://bt.com/role/StatementoffinancialpositioncurrentnoncurrentStatement" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AssetsLessCurrentLiabilities_90cff8d7-a458-489b-a84f-2d807a1fadcd" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AssetsLessCurrentLiabilities"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncurrentAssets_7b06791b-bceb-486b-9ab6-42cf2f8f272d" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentAssets"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_AssetsLessCurrentLiabilities_90cff8d7-a458-489b-a84f-2d807a1fadcd" xlink:to="loc_ifrs-full_NoncurrentAssets_7b06791b-bceb-486b-9ab6-42cf2f8f272d" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentAssets_8d8ccdb5-fcd4-4eda-b8a2-1b7d66dd822b" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentAssets"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_AssetsLessCurrentLiabilities_90cff8d7-a458-489b-a84f-2d807a1fadcd" xlink:to="loc_ifrs-full_CurrentAssets_8d8ccdb5-fcd4-4eda-b8a2-1b7d66dd822b" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentLiabilities_1ecf0090-32b1-4e94-95b9-7216c670286b" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentLiabilities"/>
    <link:calculationArc order="3" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_AssetsLessCurrentLiabilities_90cff8d7-a458-489b-a84f-2d807a1fadcd" xlink:to="loc_ifrs-full_CurrentLiabilities_1ecf0090-32b1-4e94-95b9-7216c670286b" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_btplc_TotalEquityAndNonCurrentLiabilities_3e916db9-5bf4-4e77-8e8d-33bc1329bdf8" xlink:href="549300OWFMSO9NYV4H90-2023-03-31.xsd#btplc_TotalEquityAndNonCurrentLiabilities"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncurrentLiabilities_2c5c5d77-27f5-4053-bef0-e892aecbc40e" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentLiabilities"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_btplc_TotalEquityAndNonCurrentLiabilities_3e916db9-5bf4-4e77-8e8d-33bc1329bdf8" xlink:to="loc_ifrs-full_NoncurrentLiabilities_2c5c5d77-27f5-4053-bef0-e892aecbc40e" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_Equity_ac433d0f-8891-4262-9033-d6cdb3c64751" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Equity"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_btplc_TotalEquityAndNonCurrentLiabilities_3e916db9-5bf4-4e77-8e8d-33bc1329bdf8" xlink:to="loc_ifrs-full_Equity_ac433d0f-8891-4262-9033-d6cdb3c64751" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_Equity_a2964e05-67c4-452c-9fe9-9997877fc614" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Equity"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_SharePremium_910b5b6c-f225-4e1d-bc43-ba8e3e02e3c7" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_SharePremium"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_Equity_a2964e05-67c4-452c-9fe9-9997877fc614" xlink:to="loc_ifrs-full_SharePremium_910b5b6c-f225-4e1d-bc43-ba8e3e02e3c7" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherReserves_f618a6d8-730c-4900-a610-5d8bb1f4475e" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherReserves"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_Equity_a2964e05-67c4-452c-9fe9-9997877fc614" xlink:to="loc_ifrs-full_OtherReserves_f618a6d8-730c-4900-a610-5d8bb1f4475e" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_IssuedCapital_c3a06d81-a6d4-4938-af4f-5cd49ecf4586" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IssuedCapital"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_Equity_a2964e05-67c4-452c-9fe9-9997877fc614" xlink:to="loc_ifrs-full_IssuedCapital_c3a06d81-a6d4-4938-af4f-5cd49ecf4586" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_RetainedEarnings_8ccae06e-bafb-4d23-9843-24903fe13dc9" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_RetainedEarnings"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_Equity_a2964e05-67c4-452c-9fe9-9997877fc614" xlink:to="loc_ifrs-full_RetainedEarnings_8ccae06e-bafb-4d23-9843-24903fe13dc9" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentLiabilities_fa3244ce-dc81-4031-ab55-ab3442d378c8" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentLiabilities"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ShorttermBorrowings_6372db89-291d-41cf-a282-60b198668061" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ShorttermBorrowings"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities_fa3244ce-dc81-4031-ab55-ab3442d378c8" xlink:to="loc_ifrs-full_ShorttermBorrowings_6372db89-291d-41cf-a282-60b198668061" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentLeaseLiabilities_bf13a9f7-1984-4c63-be13-242d8cee259c" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentLeaseLiabilities"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities_fa3244ce-dc81-4031-ab55-ab3442d378c8" xlink:to="loc_ifrs-full_CurrentLeaseLiabilities_bf13a9f7-1984-4c63-be13-242d8cee259c" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentDerivativeFinancialLiabilities_ad0ef77e-4aa2-4f91-bcfb-05fae1e0e6d2" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentDerivativeFinancialLiabilities"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities_fa3244ce-dc81-4031-ab55-ab3442d378c8" xlink:to="loc_ifrs-full_CurrentDerivativeFinancialLiabilities_ad0ef77e-4aa2-4f91-bcfb-05fae1e0e6d2" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentProvisions_9861bb54-a940-45f0-b5c4-59974e994f6c" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentProvisions"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities_fa3244ce-dc81-4031-ab55-ab3442d378c8" xlink:to="loc_ifrs-full_CurrentProvisions_9861bb54-a940-45f0-b5c4-59974e994f6c" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentContractLiabilities_a7d831a2-0a5a-46b6-bf56-5900a2ed67f3" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentContractLiabilities"/>
    <link:calculationArc order="5" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities_fa3244ce-dc81-4031-ab55-ab3442d378c8" xlink:to="loc_ifrs-full_CurrentContractLiabilities_a7d831a2-0a5a-46b6-bf56-5900a2ed67f3" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentTaxLiabilities_b4f9682c-609e-43e8-989c-28fdc452439e" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentTaxLiabilities"/>
    <link:calculationArc order="6" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities_fa3244ce-dc81-4031-ab55-ab3442d378c8" xlink:to="loc_ifrs-full_CurrentTaxLiabilities_b4f9682c-609e-43e8-989c-28fdc452439e" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_LiabilitiesIncludedInDisposalGroupsClassifiedAsHeldForSale_5a22f30c-4479-4ce5-9f02-60c898b1ddbd" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_LiabilitiesIncludedInDisposalGroupsClassifiedAsHeldForSale"/>
    <link:calculationArc order="7" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities_fa3244ce-dc81-4031-ab55-ab3442d378c8" xlink:to="loc_ifrs-full_LiabilitiesIncludedInDisposalGroupsClassifiedAsHeldForSale_5a22f30c-4479-4ce5-9f02-60c898b1ddbd" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_TradeAndOtherCurrentPayables_3f5fe65b-5c86-4591-adb4-f7a182b1a33f" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_TradeAndOtherCurrentPayables"/>
    <link:calculationArc order="8" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities_fa3244ce-dc81-4031-ab55-ab3442d378c8" xlink:to="loc_ifrs-full_TradeAndOtherCurrentPayables_3f5fe65b-5c86-4591-adb4-f7a182b1a33f" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncurrentAssets_23fef657-8f9f-4a55-8b77-fe131913c21a" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentAssets"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_RightofuseAssets_a8bcacd3-39b5-45c9-a157-e2ee3f1f22e0" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_RightofuseAssets"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_23fef657-8f9f-4a55-8b77-fe131913c21a" xlink:to="loc_ifrs-full_RightofuseAssets_a8bcacd3-39b5-45c9-a157-e2ee3f1f22e0" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncurrentRecognisedAssetsDefinedBenefitPlan_8bed0b6e-3766-488d-9da3-184bddc43d59" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentRecognisedAssetsDefinedBenefitPlan"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_23fef657-8f9f-4a55-8b77-fe131913c21a" xlink:to="loc_ifrs-full_NoncurrentRecognisedAssetsDefinedBenefitPlan_8bed0b6e-3766-488d-9da3-184bddc43d59" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncurrentReceivables_2cf7d367-90d2-4d78-ad4b-2f0e86c2ae7f" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentReceivables"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_23fef657-8f9f-4a55-8b77-fe131913c21a" xlink:to="loc_ifrs-full_NoncurrentReceivables_2cf7d367-90d2-4d78-ad4b-2f0e86c2ae7f" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_InvestmentAccountedForUsingEquityMethod_28df9a41-af10-4558-a31a-6b36b73d9832" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_InvestmentAccountedForUsingEquityMethod"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_23fef657-8f9f-4a55-8b77-fe131913c21a" xlink:to="loc_ifrs-full_InvestmentAccountedForUsingEquityMethod_28df9a41-af10-4558-a31a-6b36b73d9832" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_PropertyPlantAndEquipment_b5db1120-47b7-4837-85b6-1901a0b6594d" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PropertyPlantAndEquipment"/>
    <link:calculationArc order="5" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_23fef657-8f9f-4a55-8b77-fe131913c21a" xlink:to="loc_ifrs-full_PropertyPlantAndEquipment_b5db1120-47b7-4837-85b6-1901a0b6594d" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncurrentInvestmentsOtherThanInvestmentsAccountedForUsingEquityMethod_150dc4df-3a40-48f8-8dc6-f15a525b2a12" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentInvestmentsOtherThanInvestmentsAccountedForUsingEquityMethod"/>
    <link:calculationArc order="6" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_23fef657-8f9f-4a55-8b77-fe131913c21a" xlink:to="loc_ifrs-full_NoncurrentInvestmentsOtherThanInvestmentsAccountedForUsingEquityMethod_150dc4df-3a40-48f8-8dc6-f15a525b2a12" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncurrentDerivativeFinancialAssets_ad57c911-bf31-4c5d-9942-581d10d2d80b" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentDerivativeFinancialAssets"/>
    <link:calculationArc order="7" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_23fef657-8f9f-4a55-8b77-fe131913c21a" xlink:to="loc_ifrs-full_NoncurrentDerivativeFinancialAssets_ad57c911-bf31-4c5d-9942-581d10d2d80b" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_DeferredTaxAssets_4d09ffff-58e6-45b8-b89c-ee8051028e80" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DeferredTaxAssets"/>
    <link:calculationArc order="8" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_23fef657-8f9f-4a55-8b77-fe131913c21a" xlink:to="loc_ifrs-full_DeferredTaxAssets_4d09ffff-58e6-45b8-b89c-ee8051028e80" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_IntangibleAssetsAndGoodwill_27d3d9a1-ea35-4a25-ba68-a9e444599f73" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IntangibleAssetsAndGoodwill"/>
    <link:calculationArc order="9" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_23fef657-8f9f-4a55-8b77-fe131913c21a" xlink:to="loc_ifrs-full_IntangibleAssetsAndGoodwill_27d3d9a1-ea35-4a25-ba68-a9e444599f73" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncurrentContractAssets_7c0a7e8a-bc6e-4cf7-aa4d-75e13d7746d3" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentContractAssets"/>
    <link:calculationArc order="10" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_23fef657-8f9f-4a55-8b77-fe131913c21a" xlink:to="loc_ifrs-full_NoncurrentContractAssets_7c0a7e8a-bc6e-4cf7-aa4d-75e13d7746d3" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_btplc_NonCurrentPreferenceSharesInJointVentures_cc8f4f0c-6f43-4135-a4aa-34d7669d29b4" xlink:href="549300OWFMSO9NYV4H90-2023-03-31.xsd#btplc_NonCurrentPreferenceSharesInJointVentures"/>
    <link:calculationArc order="11" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_23fef657-8f9f-4a55-8b77-fe131913c21a" xlink:to="loc_btplc_NonCurrentPreferenceSharesInJointVentures_cc8f4f0c-6f43-4135-a4aa-34d7669d29b4" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncurrentLiabilities_ef37553d-c46d-47ba-9ca5-3cc4485ad8ca" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentLiabilities"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncurrentDerivativeFinancialLiabilities_9d5b5da9-aa92-41d1-856c-1723df789af1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentDerivativeFinancialLiabilities"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentLiabilities_ef37553d-c46d-47ba-9ca5-3cc4485ad8ca" xlink:to="loc_ifrs-full_NoncurrentDerivativeFinancialLiabilities_9d5b5da9-aa92-41d1-856c-1723df789af1" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncurrentLeaseLiabilities_5535a83a-1047-407d-b5de-6ddb10c28373" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentLeaseLiabilities"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentLiabilities_ef37553d-c46d-47ba-9ca5-3cc4485ad8ca" xlink:to="loc_ifrs-full_NoncurrentLeaseLiabilities_5535a83a-1047-407d-b5de-6ddb10c28373" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_DeferredTaxLiabilities_faf6abef-ddb6-444f-b14f-c69380e3025f" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DeferredTaxLiabilities"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentLiabilities_ef37553d-c46d-47ba-9ca5-3cc4485ad8ca" xlink:to="loc_ifrs-full_DeferredTaxLiabilities_faf6abef-ddb6-444f-b14f-c69380e3025f" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_LongtermBorrowings_5275dd4c-ca60-4432-a868-a3bc5e1d1145" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_LongtermBorrowings"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentLiabilities_ef37553d-c46d-47ba-9ca5-3cc4485ad8ca" xlink:to="loc_ifrs-full_LongtermBorrowings_5275dd4c-ca60-4432-a868-a3bc5e1d1145" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncurrentProvisions_8982a682-c5d3-49bf-b8fc-e79505364d11" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentProvisions"/>
    <link:calculationArc order="5" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentLiabilities_ef37553d-c46d-47ba-9ca5-3cc4485ad8ca" xlink:to="loc_ifrs-full_NoncurrentProvisions_8982a682-c5d3-49bf-b8fc-e79505364d11" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncurrentRecognisedLiabilitiesDefinedBenefitPlan_80e6615e-b19b-4c42-a062-c372f274ba6e" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentRecognisedLiabilitiesDefinedBenefitPlan"/>
    <link:calculationArc order="6" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentLiabilities_ef37553d-c46d-47ba-9ca5-3cc4485ad8ca" xlink:to="loc_ifrs-full_NoncurrentRecognisedLiabilitiesDefinedBenefitPlan_80e6615e-b19b-4c42-a062-c372f274ba6e" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherNoncurrentPayables_6ad530a9-cd76-46d2-be77-dfe60fee7ee6" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherNoncurrentPayables"/>
    <link:calculationArc order="7" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentLiabilities_ef37553d-c46d-47ba-9ca5-3cc4485ad8ca" xlink:to="loc_ifrs-full_OtherNoncurrentPayables_6ad530a9-cd76-46d2-be77-dfe60fee7ee6" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncurrentContractLiabilities_3d13f642-4872-48b4-b83e-18097d0e4860" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentContractLiabilities"/>
    <link:calculationArc order="8" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentLiabilities_ef37553d-c46d-47ba-9ca5-3cc4485ad8ca" xlink:to="loc_ifrs-full_NoncurrentContractLiabilities_3d13f642-4872-48b4-b83e-18097d0e4860" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentAssets_aab44768-464b-42e1-a663-07efaccb88ab" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentAssets"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentContractAssets_4ab7d221-5118-4bfd-ac19-526ce738251e" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentContractAssets"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentAssets_aab44768-464b-42e1-a663-07efaccb88ab" xlink:to="loc_ifrs-full_CurrentContractAssets_4ab7d221-5118-4bfd-ac19-526ce738251e" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_TradeAndOtherCurrentReceivables_74e04037-acb4-4903-887e-9d90980f9f25" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_TradeAndOtherCurrentReceivables"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentAssets_aab44768-464b-42e1-a663-07efaccb88ab" xlink:to="loc_ifrs-full_TradeAndOtherCurrentReceivables_74e04037-acb4-4903-887e-9d90980f9f25" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashAndCashEquivalents_f4540a43-2888-40ea-88c6-799c2e52999e" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashAndCashEquivalents"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentAssets_aab44768-464b-42e1-a663-07efaccb88ab" xlink:to="loc_ifrs-full_CashAndCashEquivalents_f4540a43-2888-40ea-88c6-799c2e52999e" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentTaxAssets_bec73d6e-158f-4477-8021-c38e5061c621" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentTaxAssets"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentAssets_aab44768-464b-42e1-a663-07efaccb88ab" xlink:to="loc_ifrs-full_CurrentTaxAssets_bec73d6e-158f-4477-8021-c38e5061c621" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncurrentAssetsOrDisposalGroupsClassifiedAsHeldForSale_c76fbe2f-3de2-4b0d-b608-947281c43a16" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentAssetsOrDisposalGroupsClassifiedAsHeldForSale"/>
    <link:calculationArc order="5" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentAssets_aab44768-464b-42e1-a663-07efaccb88ab" xlink:to="loc_ifrs-full_NoncurrentAssetsOrDisposalGroupsClassifiedAsHeldForSale_c76fbe2f-3de2-4b0d-b608-947281c43a16" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentProgrammingAssets_b12af81e-3625-4a66-8729-33196683f63a" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentProgrammingAssets"/>
    <link:calculationArc order="6" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentAssets_aab44768-464b-42e1-a663-07efaccb88ab" xlink:to="loc_ifrs-full_CurrentProgrammingAssets_b12af81e-3625-4a66-8729-33196683f63a" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentDerivativeFinancialAssets_f8ddce82-85d0-4a12-9382-14d902fb188e" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentDerivativeFinancialAssets"/>
    <link:calculationArc order="7" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentAssets_aab44768-464b-42e1-a663-07efaccb88ab" xlink:to="loc_ifrs-full_CurrentDerivativeFinancialAssets_f8ddce82-85d0-4a12-9382-14d902fb188e" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_Inventories_6d054eda-ab7e-4b18-9eeb-62e6f9af1394" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Inventories"/>
    <link:calculationArc order="8" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentAssets_aab44768-464b-42e1-a663-07efaccb88ab" xlink:to="loc_ifrs-full_Inventories_6d054eda-ab7e-4b18-9eeb-62e6f9af1394" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentInvestments_fa4ffd78-3452-4a46-8a72-db6614cabee3" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentInvestments"/>
    <link:calculationArc order="9" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentAssets_aab44768-464b-42e1-a663-07efaccb88ab" xlink:to="loc_ifrs-full_CurrentInvestments_fa4ffd78-3452-4a46-8a72-db6614cabee3" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_btplc_CurrentPreferenceSharesInJointVentures_0c5409c4-745e-45a0-b687-8fc7d3dfb21d" xlink:href="549300OWFMSO9NYV4H90-2023-03-31.xsd#btplc_CurrentPreferenceSharesInJointVentures"/>
    <link:calculationArc order="10" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentAssets_aab44768-464b-42e1-a663-07efaccb88ab" xlink:to="loc_btplc_CurrentPreferenceSharesInJointVentures_0c5409c4-745e-45a0-b687-8fc7d3dfb21d" xlink:type="arc"/>
  </link:calculationLink>
  <link:roleRef roleURI="http://bt.com/role/StatementofcashflowsindirectmethodStatement" xlink:type="simple" xlink:href="549300OWFMSO9NYV4H90-2023-03-31.xsd#StatementofcashflowsindirectmethodStatement"/>
  <link:calculationLink xlink:role="http://bt.com/role/StatementofcashflowsindirectmethodStatement" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInOperations_8a0b99da-4bc5-4b27-8211-e02c8eb5fbd8" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperations"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForDecreaseIncreaseInInventories_be65d61d-da11-4b6d-a784-839d2cd69457" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInInventories"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations_8a0b99da-4bc5-4b27-8211-e02c8eb5fbd8" xlink:to="loc_ifrs-full_AdjustmentsForDecreaseIncreaseInInventories_be65d61d-da11-4b6d-a784-839d2cd69457" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAndOtherReceivables_0c8e972c-b8d0-4dfb-a536-d8213810a7c4" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAndOtherReceivables"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations_8a0b99da-4bc5-4b27-8211-e02c8eb5fbd8" xlink:to="loc_ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAndOtherReceivables_0c8e972c-b8d0-4dfb-a536-d8213810a7c4" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForIncreaseDecreaseInOtherLiabilities_1c288046-61bc-4820-b104-e49c64d4b29f" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForIncreaseDecreaseInOtherLiabilities"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations_8a0b99da-4bc5-4b27-8211-e02c8eb5fbd8" xlink:to="loc_ifrs-full_AdjustmentsForIncreaseDecreaseInOtherLiabilities_1c288046-61bc-4820-b104-e49c64d4b29f" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForProvisions_04cb257c-f2b8-40c1-9abb-de8d52f14a78" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForProvisions"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations_8a0b99da-4bc5-4b27-8211-e02c8eb5fbd8" xlink:to="loc_ifrs-full_AdjustmentsForProvisions_04cb257c-f2b8-40c1-9abb-de8d52f14a78" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_btplc_AdjustmentsForDecreaseIncreaseInContractLiabilities_217e719e-42be-4c06-9708-fdc2aab97e1e" xlink:href="549300OWFMSO9NYV4H90-2023-03-31.xsd#btplc_AdjustmentsForDecreaseIncreaseInContractLiabilities"/>
    <link:calculationArc order="5" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations_8a0b99da-4bc5-4b27-8211-e02c8eb5fbd8" xlink:to="loc_btplc_AdjustmentsForDecreaseIncreaseInContractLiabilities_217e719e-42be-4c06-9708-fdc2aab97e1e" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_btplc_AdjustmentsForDecreaseIncreaseInProgrammeRights_2f441b09-ddb3-46de-a30e-8df8a679125e" xlink:href="549300OWFMSO9NYV4H90-2023-03-31.xsd#btplc_AdjustmentsForDecreaseIncreaseInProgrammeRights"/>
    <link:calculationArc order="6" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations_8a0b99da-4bc5-4b27-8211-e02c8eb5fbd8" xlink:to="loc_btplc_AdjustmentsForDecreaseIncreaseInProgrammeRights_2f441b09-ddb3-46de-a30e-8df8a679125e" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForGainLossOnDisposalOfInvestmentsInSubsidiariesJointVenturesAndAssociates_54f7d378-e900-4b95-953d-4ead94bb27cd" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForGainLossOnDisposalOfInvestmentsInSubsidiariesJointVenturesAndAssociates"/>
    <link:calculationArc order="7" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations_8a0b99da-4bc5-4b27-8211-e02c8eb5fbd8" xlink:to="loc_ifrs-full_AdjustmentsForGainLossOnDisposalOfInvestmentsInSubsidiariesJointVenturesAndAssociates_54f7d378-e900-4b95-953d-4ead94bb27cd" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherAdjustmentsForNoncashItems_b1fc7fcf-aab4-49a1-bdf0-9646d6fc0844" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherAdjustmentsForNoncashItems"/>
    <link:calculationArc order="8" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations_8a0b99da-4bc5-4b27-8211-e02c8eb5fbd8" xlink:to="loc_ifrs-full_OtherAdjustmentsForNoncashItems_b1fc7fcf-aab4-49a1-bdf0-9646d6fc0844" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLossFromOperatingActivities_9c4aac58-aaea-4d13-9b94-68cd5e832a98" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossFromOperatingActivities"/>
    <link:calculationArc order="9" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations_8a0b99da-4bc5-4b27-8211-e02c8eb5fbd8" xlink:to="loc_ifrs-full_ProfitLossFromOperatingActivities_9c4aac58-aaea-4d13-9b94-68cd5e832a98" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_btplc_AdjustmentsForProfitOnDisposalOfPropertyPlantAndEquipmentAndIntangibleAssets_976119aa-4c56-46a7-bdcc-97df3fd2d771" xlink:href="549300OWFMSO9NYV4H90-2023-03-31.xsd#btplc_AdjustmentsForProfitOnDisposalOfPropertyPlantAndEquipmentAndIntangibleAssets"/>
    <link:calculationArc order="10" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations_8a0b99da-4bc5-4b27-8211-e02c8eb5fbd8" xlink:to="loc_btplc_AdjustmentsForProfitOnDisposalOfPropertyPlantAndEquipmentAndIntangibleAssets_976119aa-4c56-46a7-bdcc-97df3fd2d771" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForDepreciationAndAmortisationExpense_504e2296-042e-4d57-a0bd-8ef0fa521f8e" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForDepreciationAndAmortisationExpense"/>
    <link:calculationArc order="11" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations_8a0b99da-4bc5-4b27-8211-e02c8eb5fbd8" xlink:to="loc_ifrs-full_AdjustmentsForDepreciationAndAmortisationExpense_504e2296-042e-4d57-a0bd-8ef0fa521f8e" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAndOtherPayables_ed86c1b3-40b8-4cba-a3e9-275013e4e45d" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAndOtherPayables"/>
    <link:calculationArc order="12" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations_8a0b99da-4bc5-4b27-8211-e02c8eb5fbd8" xlink:to="loc_ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAndOtherPayables_ed86c1b3-40b8-4cba-a3e9-275013e4e45d" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_btplc_AdjustmentsForIncreaseDecreaseInContractAssets_9890a80b-2994-4dc1-9f2e-7bd35983a584" xlink:href="549300OWFMSO9NYV4H90-2023-03-31.xsd#btplc_AdjustmentsForIncreaseDecreaseInContractAssets"/>
    <link:calculationArc order="13" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations_8a0b99da-4bc5-4b27-8211-e02c8eb5fbd8" xlink:to="loc_btplc_AdjustmentsForIncreaseDecreaseInContractAssets_9890a80b-2994-4dc1-9f2e-7bd35983a584" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_792dd872-3e27-4551-848e-30d8bb4b6cc5" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInOperations_9e3b663f-01cf-41c5-a483-1523d1cf31e9" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperations"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_792dd872-3e27-4551-848e-30d8bb4b6cc5" xlink:to="loc_ifrs-full_CashFlowsFromUsedInOperations_9e3b663f-01cf-41c5-a483-1523d1cf31e9" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities_922286f3-452a-40e0-aa37-ec037a725759" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities"/>
    <link:calculationArc order="2" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_792dd872-3e27-4551-848e-30d8bb4b6cc5" xlink:to="loc_ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities_922286f3-452a-40e0-aa37-ec037a725759" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_fe56b189-de0b-4b5a-ab17-0ee8724244ef" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities"/>
    <link:loc xlink:type="locator" xlink:label="loc_btplc_IncreaseDecreaseInAmountsOwedToJointVenturesClassifiedAsFinancingActivities_b53b810c-956b-40b2-a568-5d8f8c24dd29" xlink:href="549300OWFMSO9NYV4H90-2023-03-31.xsd#btplc_IncreaseDecreaseInAmountsOwedToJointVenturesClassifiedAsFinancingActivities"/>
    <link:calculationArc order="1" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_fe56b189-de0b-4b5a-ab17-0ee8724244ef" xlink:to="loc_btplc_IncreaseDecreaseInAmountsOwedToJointVenturesClassifiedAsFinancingActivities_b53b810c-956b-40b2-a568-5d8f8c24dd29" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities_e06d790f-bad0-4207-9f30-7e3e37184df8" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities"/>
    <link:calculationArc order="2" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_fe56b189-de0b-4b5a-ab17-0ee8724244ef" xlink:to="loc_ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities_e06d790f-bad0-4207-9f30-7e3e37184df8" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_InterestPaidClassifiedAsFinancingActivities_8489b7e5-325c-4de3-8656-3029fff379d7" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_InterestPaidClassifiedAsFinancingActivities"/>
    <link:calculationArc order="3" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_fe56b189-de0b-4b5a-ab17-0ee8724244ef" xlink:to="loc_ifrs-full_InterestPaidClassifiedAsFinancingActivities_8489b7e5-325c-4de3-8656-3029fff379d7" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_btplc_CashFlowsFromDerivativesRelatedToNetDebtClassifiedAsFinancingActivities_0aceaf40-b6fa-4dbd-befb-dc60320024ef" xlink:href="549300OWFMSO9NYV4H90-2023-03-31.xsd#btplc_CashFlowsFromDerivativesRelatedToNetDebtClassifiedAsFinancingActivities"/>
    <link:calculationArc order="4" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_fe56b189-de0b-4b5a-ab17-0ee8724244ef" xlink:to="loc_btplc_CashFlowsFromDerivativesRelatedToNetDebtClassifiedAsFinancingActivities_0aceaf40-b6fa-4dbd-befb-dc60320024ef" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities_dd1cf2db-ba26-4425-9d6c-fdde6ab396f7" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities"/>
    <link:calculationArc order="5" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_fe56b189-de0b-4b5a-ab17-0ee8724244ef" xlink:to="loc_ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities_dd1cf2db-ba26-4425-9d6c-fdde6ab396f7" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_btplc_ChangesInOwnershipInterestsInSubsidiariesClassifiedAsFinancingActivities_1d6a5161-7db1-4381-b804-a5b61d990d03" xlink:href="549300OWFMSO9NYV4H90-2023-03-31.xsd#btplc_ChangesInOwnershipInterestsInSubsidiariesClassifiedAsFinancingActivities"/>
    <link:calculationArc order="6" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_fe56b189-de0b-4b5a-ab17-0ee8724244ef" xlink:to="loc_btplc_ChangesInOwnershipInterestsInSubsidiariesClassifiedAsFinancingActivities_1d6a5161-7db1-4381-b804-a5b61d990d03" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities_dba2a94f-723e-48db-a449-8d52e4353a61" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities"/>
    <link:calculationArc order="7" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_fe56b189-de0b-4b5a-ab17-0ee8724244ef" xlink:to="loc_ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities_dba2a94f-723e-48db-a449-8d52e4353a61" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_7a1ce10d-ed25-421f-98c3-c8fdab215c64" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities"/>
    <link:loc xlink:type="locator" xlink:label="loc_btplc_ProceedsOnDisposalOfCurrentFinancialAssetsClassifiedAsInvestingActivities_7d6c6963-6c35-408c-aaf3-31edd8546205" xlink:href="549300OWFMSO9NYV4H90-2023-03-31.xsd#btplc_ProceedsOnDisposalOfCurrentFinancialAssetsClassifiedAsInvestingActivities"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_7a1ce10d-ed25-421f-98c3-c8fdab215c64" xlink:to="loc_btplc_ProceedsOnDisposalOfCurrentFinancialAssetsClassifiedAsInvestingActivities_7d6c6963-6c35-408c-aaf3-31edd8546205" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_btplc_PurchasesOfCurrentFinancialAssetsClassifiedAsInvestingActivities_39704f96-af21-4159-9f73-97368984119f" xlink:href="549300OWFMSO9NYV4H90-2023-03-31.xsd#btplc_PurchasesOfCurrentFinancialAssetsClassifiedAsInvestingActivities"/>
    <link:calculationArc order="2" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_7a1ce10d-ed25-421f-98c3-c8fdab215c64" xlink:to="loc_btplc_PurchasesOfCurrentFinancialAssetsClassifiedAsInvestingActivities_39704f96-af21-4159-9f73-97368984119f" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets_11afc4e3-d0ec-4fff-9b94-e2b9b71b7b5c" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets"/>
    <link:calculationArc order="3" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_7a1ce10d-ed25-421f-98c3-c8fdab215c64" xlink:to="loc_ifrs-full_PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets_11afc4e3-d0ec-4fff-9b94-e2b9b71b7b5c" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_DividendsReceivedFromInvestmentsAccountedForUsingEquityMethodClassifiedAsInvestingActivities_c104a115-2e5d-4097-a7ee-318583492707" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DividendsReceivedFromInvestmentsAccountedForUsingEquityMethodClassifiedAsInvestingActivities"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_7a1ce10d-ed25-421f-98c3-c8fdab215c64" xlink:to="loc_ifrs-full_DividendsReceivedFromInvestmentsAccountedForUsingEquityMethodClassifiedAsInvestingActivities_c104a115-2e5d-4097-a7ee-318583492707" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_btplc_NetPurchaseDisposalOfNonCurrentAssetInvestmentsClassifiedAsInvestingActivities_be99b7e3-53fc-4f1e-ae39-a0f9c057cff6" xlink:href="549300OWFMSO9NYV4H90-2023-03-31.xsd#btplc_NetPurchaseDisposalOfNonCurrentAssetInvestmentsClassifiedAsInvestingActivities"/>
    <link:calculationArc order="5" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_7a1ce10d-ed25-421f-98c3-c8fdab215c64" xlink:to="loc_btplc_NetPurchaseDisposalOfNonCurrentAssetInvestmentsClassifiedAsInvestingActivities_be99b7e3-53fc-4f1e-ae39-a0f9c057cff6" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_InterestReceivedClassifiedAsInvestingActivities_2e53ff31-4fc3-43b4-a5e1-27d8234a8350" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_InterestReceivedClassifiedAsInvestingActivities"/>
    <link:calculationArc order="6" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_7a1ce10d-ed25-421f-98c3-c8fdab215c64" xlink:to="loc_ifrs-full_InterestReceivedClassifiedAsInvestingActivities_2e53ff31-4fc3-43b4-a5e1-27d8234a8350" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProceedsFromDisposalsOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets_9e500055-b65c-4538-a2f3-546722d991f6" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProceedsFromDisposalsOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets"/>
    <link:calculationArc order="7" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_7a1ce10d-ed25-421f-98c3-c8fdab215c64" xlink:to="loc_ifrs-full_ProceedsFromDisposalsOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets_9e500055-b65c-4538-a2f3-546722d991f6" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromLosingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities_7252ef6c-236e-4579-952a-796a57f9dd96" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromLosingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities"/>
    <link:calculationArc order="8" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_7a1ce10d-ed25-421f-98c3-c8fdab215c64" xlink:to="loc_ifrs-full_CashFlowsFromLosingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities_7252ef6c-236e-4579-952a-796a57f9dd96" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OutflowsOfCashFromInvestingActivities_d7ea8498-3048-44da-b794-a43b14f9d541" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OutflowsOfCashFromInvestingActivities"/>
    <link:calculationArc order="9" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_7a1ce10d-ed25-421f-98c3-c8fdab215c64" xlink:to="loc_ifrs-full_OutflowsOfCashFromInvestingActivities_d7ea8498-3048-44da-b794-a43b14f9d541" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_btplc_IncreaseDecreaseInAmountsOwedByJointVenturesClassifiedAsInvestingActivities_d39302d6-eadb-4a20-a7f9-963cc44738cd" xlink:href="549300OWFMSO9NYV4H90-2023-03-31.xsd#btplc_IncreaseDecreaseInAmountsOwedByJointVenturesClassifiedAsInvestingActivities"/>
    <link:calculationArc order="10" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_7a1ce10d-ed25-421f-98c3-c8fdab215c64" xlink:to="loc_btplc_IncreaseDecreaseInAmountsOwedByJointVenturesClassifiedAsInvestingActivities_d39302d6-eadb-4a20-a7f9-963cc44738cd" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_btplc_SettlementOfMinimumGuaranteeLiabilityWithSportsJointVentureClassifiedAsInvestingActivities_75e068e1-eb26-4829-aa73-bd784db3f261" xlink:href="549300OWFMSO9NYV4H90-2023-03-31.xsd#btplc_SettlementOfMinimumGuaranteeLiabilityWithSportsJointVentureClassifiedAsInvestingActivities"/>
    <link:calculationArc order="11" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_7a1ce10d-ed25-421f-98c3-c8fdab215c64" xlink:to="loc_btplc_SettlementOfMinimumGuaranteeLiabilityWithSportsJointVentureClassifiedAsInvestingActivities_75e068e1-eb26-4829-aa73-bd784db3f261" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges_1495cac8-f2fe-48b4-9fee-ffe31df5712a" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_0041aef8-51f4-4524-80d0-27c43cf36ad4" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges_1495cac8-f2fe-48b4-9fee-ffe31df5712a" xlink:to="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_0041aef8-51f4-4524-80d0-27c43cf36ad4" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_2633cb41-5e58-4f85-92c4-6baeb5378fac" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges_1495cac8-f2fe-48b4-9fee-ffe31df5712a" xlink:to="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_2633cb41-5e58-4f85-92c4-6baeb5378fac" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_981dbf26-7331-446b-8d8f-dfc8a8bdf8ac" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges_1495cac8-f2fe-48b4-9fee-ffe31df5712a" xlink:to="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_981dbf26-7331-446b-8d8f-dfc8a8bdf8ac" xlink:type="arc"/>
  </link:calculationLink>
</link:linkbase>
